<!DOCTYPE HTML>
<html>

<head>
	<title>
		Liverworth Morphology Explorer!
	</title>

</head>
<style type="text/css"></style>
<link rel="stylesheet" href="styles.css">
<script src="./sliders.js"></script>
<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>



<body onLoad="init();initializeSliders()">
	<center>
		<h1>Polymorpha v1.0</h1>

		<table width="1200px">
			<tr>
				<td style="width:14%;font-weight:bold;">tissue extension</td>
				<td style="width:3%">10</td>
				<td style="width:30%"> 
					<div class="slider-wrap">
					<input type="range" min="10" max="100" value="50" class="slider" id="sliderL">
					<output class="bubble"></output>
					</div>
				</td>
				<td style="width:3%">50</td>
			<!-- </tr>
			<tr> -->
				<td style="width:14%;font-weight:bold;">growth</td>
				<td style="width:3%">1</td>
				<td style="width:30%"> 
					<div class="slider-wrap">
					<input type="range" min="1" max="100" value="50" class="slider" id="sliderW">
					<output class="bubble"></output>
					</div>
				</td>
				<td style="width:3%">100</td>
			</tr>
			<tr>
				<td style="width:14%;font-weight:bold;">branching angle</td>
				<td style="width:3%">0</td>
				<td style="width:30%"> 
					<div class="slider-wrap">
						<input type="range" min="1" max="180" value="90" class="slider" id="sliderA">
					<output class="bubble"></output>
					</div>
				</td>
				<td style="width:3%">180</td>
			<!--</tr>
			<tr> -->
				<td style="width:14%;font-weight:bold;">branching frequency</td>
				<td style="width:3%">1/extension</td>
				<td style="width:30%"> 
					<div class="slider-wrap">
						<input type="range" min="0" max="10" value="2" class="slider" id="sliderB">
					<output class="bubble"></output>
					</div>
				</td>
				<td style="width:3%">1/ 10 extensions</td>
			</tr>
			<tr>
				<td style="width:14%;font-weight:bold;">angle noise</td>
				<td style="width:3%">0</td>
				<td style="width:30%"> 
					<div class="slider-wrap">
						<input type="range" min="0" max="10" value="0" class="slider" id="sliderN">
					<output class="bubble"></output>
					</div>
				</td>
				<td style="width:3%">10%</td>

				<td> <button class="large green button" onclick="restart();">restart</button> </td>
			</tr>
        </table>
		<p>
			
		</p>
		<canvas id="canvas" width='1024' height='1024'>
		</canvas>
        <script src="canvas.js"></script>
	</center>
</body>

</html>

